import React from 'react';
import {
  scaleTime,
  extent,
  scaleLinear,
  max,
  line,
} from 'd3';

const xValue = (d) => d.date;
const yValue = (d) => d.deathTotal;

export const LineChart = ({ data, width, height }) => {
  const xScale = scaleTime()
    .domain(extent(data, xValue))
    .range([0, width]);

  const yScale = scaleLinear()
    .domain([0, max(data, yValue)])
    .range([height, 0]);

  const lineGenerator = line()
    .x((d) => xScale(xValue(d)))
    .y((d) => yScale(yValue(d)));

  console.log(yScale.domain());

  const markerLineY = yScale(3000000);
  const markerLineX1 = 0;
  const markerLineX2 = width;

  return (
    <svg width={width} height={height}>
      <line
        class="marker-line"
        x1={markerLineX1}
        y1={markerLineY}
        x2={markerLineX2}
        y2={markerLineY}
      />
      <path d={lineGenerator(data)} />
    </svg>
  );
};
